KABC::FormatFactory Class Reference

`#include <formatfactory.h>`

## Public Member Functions

| ~FormatFactory ()
FormatPlugin * | format (const QString &type)
QStringList | formats ()
FormatInfo * | info (const QString &type)

## Static Public Member Functions

static FormatFactory * | self ()

## Detailed Description

Class for loading format plugins.

Example:

KABC::FormatFactory *factory = KABC::FormatFactory::self();
QStringList list = factory->formats();
QStringList::Iterator it;
for ( it = list.begin(); it != list.end(); ++it ) {
KABC::FormatPlugin *format = factory->format( (*it) );
// do something with format
}

Definition at line 57 of file formatfactory.h.

## Constructor & Destructor Documentation

FormatFactory::~FormatFactory | ( |  | ) |

Destructor.

Definition at line 81 of file formatfactory.cpp.

## Member Function Documentation

FormatPlugin * FormatFactory::format | ( | const QString & | type | ) |

Returns a pointer to a format object or a null pointer if format type doesn't exist.

Parameters

  type | The type of the format, returned by formats()

Definition at line 109 of file formatfactory.cpp.

QStringList FormatFactory::formats | ( |  | ) |

Returns a list of all available format types.

Definition at line 86 of file formatfactory.cpp.

FormatInfo * FormatFactory::info | ( | const QString & | type | ) |

Returns the info structure for a special type.

Definition at line 101 of file formatfactory.cpp.

FormatFactory * FormatFactory::self | ( |  | ) |

static

Returns the global format factory.

Definition at line 38 of file formatfactory.cpp.

The documentation for this class was generated from the following files:

- formatfactory.h
- formatfactory.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys